package com.xunao.effectdemo.yzs;

import java.io.Serializable;

public class ConfigBean implements Serializable {
  /**
   * 常用配置
   */
  private boolean isCN = false;//是否是中文还是英文评测模式
  private boolean isVadEnable = true;//是否使用自动断句功能
  private int vadAfterMs = 1000;//后置静音时长
  private int vadBeforeMs = 1000;//前置静音时长
  private String oralText;//评测文本
  /**
   * 不常用配置
   */
  private float _scoreAdjuest = 1.0f;//打分系数
  private String serviceType = "E";//打分模式
  private boolean mp3Audio = true;//返回数据是否为MP3数据或者pcm数据
  private String uid = "";//用户唯一标识
  /**
   * 不建议修改或者很少使用配置
   */
  private String online_ip = "";//设置http评测地址
  private String secret = "";//设置Secret
  private int socket_timeout = 0;//超时时长，值为0时使用默认值，默认值是根据文字长度计算
  private boolean setAsyncRecognize = false;//是否使用异步评测功能
  private boolean bufferLog = false;//是否保存log

  public String getOralText() {
    return oralText;
  }

  public void setOralText(String oralText) {
    this.oralText = oralText;
  }

  public float get_scoreAdjuest() {
    return _scoreAdjuest;
  }

  public void set_scoreAdjuest(float _scoreAdjuest) {
    this._scoreAdjuest = _scoreAdjuest;
  }

  public String getServiceType() {
    return serviceType;
  }

  public void setServiceType(String serviceType) {
    this.serviceType = serviceType;
  }

  public String getUid() {
    return uid;
  }

  public void setUid(String uid) {
    this.uid = uid;
  }

  public String getOnline_ip() {
    return online_ip;
  }

  public void setOnline_ip(String online_ip) {
    this.online_ip = online_ip;
  }

  public String getSecret() {
    return secret;
  }

  public void setSecret(String secret) {
    this.secret = secret;
  }

  public int getSocket_timeout() {
    return socket_timeout;
  }

  public void setSocket_timeout(int socket_timeout) {
    this.socket_timeout = socket_timeout;
  }

  public boolean isSetAsyncRecognize() {
    return setAsyncRecognize;
  }

  public void setSetAsyncRecognize(boolean setAsyncRecognize) {
    this.setAsyncRecognize = setAsyncRecognize;
  }

  public boolean isMp3Audio() {
    return mp3Audio;
  }

  public void setMp3Audio(boolean mp3Audio) {
    this.mp3Audio = mp3Audio;
  }

  public boolean isCN() {
    return isCN;
  }

  public void setCN(boolean CN) {
    isCN = CN;
  }

  public boolean isVadEnable() {
    return isVadEnable;
  }

  public void setVadEnable(boolean vadEnable) {
    isVadEnable = vadEnable;
  }

  public int getVadAfterMs() {
    return vadAfterMs;
  }

  public void setVadAfterMs(int vadAfterMs) {
    this.vadAfterMs = vadAfterMs;
  }

  public int getVadBeforeMs() {
    return vadBeforeMs;
  }

  public void setVadBeforeMs(int vadBeforeMs) {
    this.vadBeforeMs = vadBeforeMs;
  }

  public boolean isBufferLog() {
    return bufferLog;
  }

  public void setBufferLog(boolean bufferLog) {
    this.bufferLog = bufferLog;
  }
}
